> ## Documentation Index
> Fetch the complete documentation index at: https://www.dataframer.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get red team spec

> Get a specific red team spec



## OpenAPI

````yaml GET /api/dataframer/red-team-specs/{spec_id}/
openapi: 3.0.0
info:
  title: DataFramer API
  version: 0.1.0
  description: ''
  termsOfService: https://www.aimon.ai/docs/privacy-policy.pdf
  contact:
    name: DataFramer Support
    email: info@dataframer.ai
  license:
    name: Proprietary
  x-logo:
    url: https://dataframer.ai/logo.png
    altText: DataFramer AI
  x-stainless:
    package-name: aimon-dataframer
    namespace:
      - aimon
      - dataframer
servers:
  - url: https://df-api.dataframer.ai
    description: Production server
security:
  - BearerAuth: []
externalDocs:
  description: Complete API Guide
  url: https://docs.dataframer.ai/dataframer
paths:
  /api/dataframer/red-team-specs/{spec_id}/:
    parameters:
      - name: spec_id
        in: path
        required: true
        description: UUID of the red team spec
        schema:
          type: string
          format: uuid
    get:
      summary: Get red team spec
      description: Get a specific red team spec
      operationId: api_dataframer_red-team-specs_read
      responses:
        '200':
          description: Red team spec details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedTeamSpec'
        '400':
          description: Invalid UUID format
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Invalid spec_id format: "invalid" is not a valid UUID'
        '401':
          description: Authentication credentials were not provided
        '404':
          description: Red team spec not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Red team spec not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from dataframer import Dataframer

            client = Dataframer(
                api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
            )
            red_team_spec = client.dataframer.red_team_specs.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(red_team_spec.id)
        - lang: cURL
          source: >-
            curl
            https://df-api.dataframer.ai/api/dataframer/red-team-specs/$SPEC_ID/
            \
                -H "Authorization: Bearer $DATAFRAMER_API_KEY"
components:
  schemas:
    RedTeamSpec:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the red team spec
        name:
          type: string
          description: Name of the red team spec (auto-converted to snake_case)
        domain_description:
          type: string
          description: Description of the domain or industry the application operates in
        app_description:
          type: string
          description: >-
            Description of the application being tested, including its purpose
            and functionality
        concerns:
          type: string
          nullable: true
          description: >-
            Specific security concerns or behaviors to focus on during red
            teaming
        created_at:
          type: string
          format: date-time
          description: Timestamp when the spec was created
        created_by:
          type: integer
          description: ID of the user who created this spec
        created_by_email:
          type: string
          description: Email of the user who created this spec
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API Key authentication. Format: "Bearer YOUR_API_KEY"'

````